Skip to content

RazielClient reference

Generated from specs/raziel.yaml, cross-referenced against vars_client.generated.raziel. Regenerate with just docs-generate after just generate picks up spec changes -- do not hand-edit this file.

See also: data models.

auth

Exchange an API key or user credentials for a JWT

POST /config/auth

result = await client.raziel.config.auth.post()

Returns: Optional[BearerAuth]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

Verify the user's JWT token

POST /config/auth/verify

result = await client.raziel.config.auth.verify.post()

Returns: Optional[Map_String]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

configuration

List available endpoints. Authorization header is optional. If defined it returns connection information for the endpoint.

GET /config/endpoints

from kiota_abstractions.base_request_configuration import RequestConfiguration
from vars_client.generated.raziel.config.endpoints.endpoints_request_builder import EndpointsRequestBuilder

request_configuration = RequestConfiguration(query_parameters=EndpointsRequestBuilder.EndpointsRequestBuilderGetQueryParameters(internal=...))
result = await client.raziel.config.endpoints.get(request_configuration)

Query parameters:

  • internal: Optional[bool]

Returns: Optional[list[SerializedEndpointConfig]]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

health

Get the health status of the server

GET /config/health

result = await client.raziel.config.health.get()

Returns: Optional[HealthStatus]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

Get a list of the expected services. This returns services that are expected to be running, but might not be.

GET /config/health/expected

result = await client.raziel.config.health.expected.get()

Returns: Optional[list[ServiceStatus]]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

Get a list of the available services. Services that are down will not be included

GET /config/health/available

result = await client.raziel.config.health.available.get()

Returns: Optional[list[ServiceStatus]]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError

Get a list of the services. Services that are down will not include health status

GET /config/health/status

result = await client.raziel.config.health.status.get()

Returns: Optional[list[ServiceStatus]]

Errors: 401 Unauthorized · 404 NotFound · 500 ServerError